oauth2get(1)

NAME

oauth2get - program to get the stored oauth2 credential

SYNOPSIS

oauth2get {app} {user}

oauth2get [{-h | --help}]

DESCRIPTION

This manual page documents briefly the oauth2get command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

oauth2get is a program that get the stored OAuth2 credential. Before running oauth2get you should run oauth2create at least once. And if the credential is outdated, please re-run oauth2create.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

app The name of the app.

user
    The name of the user.

-h, --help
    Show summary of options.

FILES

${HOME}/.config/oauth2token/{app}/config.json
    The secret and token of the app. This information is needed to talk to the API provider.

${HOME}/.config/oauth2token/{app}/scopes.json
    The scope of the API.

BUGS

The upstream BTS can be found at https://github.com/VannTen/oauth2token/issues

SEE ALSO

oauth2create(1)

AUTHOR

Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT

Copyright © 2023 Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.